# -*- coding: utf-8 -*-
# Programing By: Qt4 & Python
#
# Mahdi Pishguy
#      Thanks:Mahdi Bayazee
#
# GPL

import sys
from PyQt4 import QtCore, QtGui

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(QtCore.QSize(QtCore.QRect(0,0,530,374).size()).expandedTo(MainWindow.minimumSizeHint()))

        self.centralwidget = QtGui.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")

        self.pushButton_2 = QtGui.QPushButton(self.centralwidget)
        self.pushButton_2.setGeometry(QtCore.QRect(10,340,511,27))
        self.pushButton_2.setObjectName("pushButton_2")

        self.frame = QtGui.QFrame(self.centralwidget)
        self.frame.setGeometry(QtCore.QRect(10,10,511,321))
        self.frame.setFrameShape(QtGui.QFrame.StyledPanel)
        self.frame.setFrameShadow(QtGui.QFrame.Raised)
        self.frame.setObjectName("frame")

        self.pushButton = QtGui.QPushButton(self.frame)
        self.pushButton.setGeometry(QtCore.QRect(6,82,499,27))

        font = QtGui.QFont(self.pushButton.font())
        font.setPointSize(9)
        self.pushButton.setFont(font)
        self.pushButton.setObjectName("pushButton")

        self.comboBox = QtGui.QComboBox(self.frame)
        self.comboBox.setGeometry(QtCore.QRect(6,50,499,26))
        self.comboBox.setObjectName("comboBox")
        self.comboBox.setLayoutDirection(QtCore.Qt.RightToLeft)

        self.label_2 = QtGui.QLabel(self.frame)
        self.label_2.setGeometry(QtCore.QRect(11,12,499,31))

        font = QtGui.QFont(self.label_2.font())
        font.setFamily("Sans Serif")
        font.setPointSize(13)
        self.label_2.setFont(font)
        self.label_2.setAlignment(QtCore.Qt.AlignCenter)
        self.label_2.setObjectName("label_1")

        self.label_3 = QtGui.QLabel(self.frame)
        self.label_3.setGeometry(QtCore.QRect(7,116,498,195))
        self.label_3.setAutoFillBackground(False)
        self.label_3.setFrameShape(QtGui.QFrame.Box)
        self.label_3.setFrameShadow(QtGui.QFrame.Sunken)
        self.label_3.setLineWidth(1)
        self.label_3.setMidLineWidth(0)
        self.label_3.setTextFormat(QtCore.Qt.LogText)
        self.label_3.setScaledContents(True)
        self.label_3.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.label_3.setWordWrap(True)
        self.label_3.setObjectName("label_3")
        #MainWindow.setCentralWidget(self.centralwidget)

        self.retranslateUi(MainWindow)
        QtCore.QObject.connect(self.pushButton,QtCore.SIGNAL("clicked()"),self.setCombo)
        QtCore.QObject.connect(self.pushButton_2,QtCore.SIGNAL("clicked()"),self.about)

        QtCore.QMetaObject.connectSlotsByName(MainWindow)
        

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(QtGui.QApplication.translate("MainWindow", "Tabire Khab Ver:0.01", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton_2.setText(QtGui.QApplication.translate("MainWindow", "درباره برنامه", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton.setText(QtGui.QApplication.translate("MainWindow", "تفسیر خواب", None, QtGui.QApplication.UnicodeUTF8))
        self.label_2.setText(QtGui.QApplication.translate("MainWindow", "نرم افزار تعبیر خواب نسخه بتای تحت گنو/لینوکس", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "اجاق‌ گاز يا فر (تنور) ", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "بدن", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "بازي‌ ", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "باغ‌ (باغچه‌)", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", " بالا بر (آسانسور)", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "بز", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "بستني‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "بسته‌ بندي‌ (جمع‌ آوري‌)   ", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "بيماري‌   ", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "در", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "در هوا معلق‌ و يا روي‌ آب‌ شناور بودن", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "درد", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "دارو", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "دايناسور", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "دعوا كردن", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "دوستان‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "دوچرخه", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "دلفين‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "دكمه‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", " شب‌ پره‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "شلوار", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "شيشه‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "شير (خوراكي‌)", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "شيرجه‌ زدن", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "رستوران", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "روغن‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "رنگ‌ قهوه‌اي‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "رنگ‌ نارنجی", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "ريش‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "آشغال‌ (زباله‌)", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "آتش‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "آهنگ‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "آكواريوم‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "آينه‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "ابليس‌ (اهريمن‌)", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "اردك‌ (مرغابي‌)", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "ارواح‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "اجابت‌ مزاج", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "اختاپوس‌ (هشت‌ پا) ", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "ازدواج‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "استحمام", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "اسلحه‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "اتوبوس‌", None, QtGui.QApplication.UnicodeUTF8))
        self.comboBox.addItem(QtGui.QApplication.translate("Form", "اگر در خواب‌ ببينيد كه‌ شخصي‌ رهايتان‌ كرده‌ است", None, QtGui.QApplication.UnicodeUTF8))

    def about(self):
        self.QMessageBox.aboutQt(self)
        
        
    def setCombo(self):
        x=self.comboBox.currentIndex()
        if x==0 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "مهمترين‌ بخش‌ نمادين‌ اين‌ خواب‌ مي گويد ممكن‌ است‌ در رابطه‌ بابچه‌دار شدن‌ ترس‌ و وحشت‌ شديدي‌ را تجربه‌مي‌كنيد و يا سخت‌ در انتظار آن‌ هستيد. گفته‌مي‌شد كه‌ اجاق‌ يا فر گرم‌ به‌ منزله‌ باروري‌،مثمرثمر بودن‌ و يا مثبت‌ انديشي‌ است‌، در حالي‌كه‌ اجاق‌ سرد و خاموش‌ تعبيري‌ برعكس‌ دارد.اگرچه‌، اجاق‌ و فر در كل‌ نمايانگر خانه‌داري‌ وپخت‌ و پز نيز هستند.", None, QtGui.QApplication.UnicodeUTF8))
        if x==1 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "اگر خواب‌ اندام‌ و بدن‌ خودتان‌ را ببينيد، درمجموع‌ نشان‌ دهنده‌ آن‌ است‌ كه‌ شما در رابطه‌ باهويت‌ شخصي‌ خودتان‌ در حال‌ تفكر هستيد. درحقيقت‌ هويت‌ اصلي‌ ما درون‌ چيزي‌ كه‌ به‌ آن‌ شبيه‌هستيم‌، پيچيده‌ شده‌ است‌. عزت‌ نفس‌ و ارزش‌شخصي‌ ما به‌ ميزان‌ خيلي‌ خيلي‌ زيادي‌ بستگي‌ به‌ظاهر جسماني‌ ما دارد. چنين‌ خوابي‌ مي‌تواندنمايانگر برخي‌ از مشكلات‌ يا دلخوشي‌هاي‌ ما درزندگي‌ روزمره‌ باشد كه‌ نتيجه‌ و زاييده‌ هويت‌شخصي‌ ما و مبتني‌ بر پيشرفت‌ها و موفقيت‌هاي‌جسماني‌ هستند. در مجموع‌ بدن‌ در خواب‌ سمبل‌خويشتن‌ است‌ و براي‌ تعبير و درك‌ هر چه‌ بهترخوابتان‌ بايد به‌ تمام‌ جزييات‌ آن‌ دقت‌ كنيد.همچنين‌ اگر خواب‌ ناحيه‌ يا جزيي‌ به‌ خصوص‌ از بدن‌خودتان‌ را ديديد، لازم‌ است‌ كه‌ بيشتر به‌ سلامتي‌ ووضعيت‌ جسماني‌ خود دقت‌ داشته‌ باشيد.", None, QtGui.QApplication.UnicodeUTF8))
        if x==2 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "اكثر افراد در خواب‌ بازي‌هاي‌ مختلفي‌ رامشاهده‌ مي‌كنند. برخي‌ از اين‌ خوابها ساده‌ و صرفابرگرفته‌ از زندگي‌ روزمره‌ ما هستند، مثل‌ بسكتبال‌.ديگر بازي‌ها در خواب‌ عجيب‌ و غريب‌، باور نكردني‌،حيرت‌ آور و كاملا واهي‌ و نامعقول‌ و حتي‌ برخي‌ ازآنها آزارگرانه‌ هستند. براي‌ تعبير هر چه‌ بهتر اين‌گونه‌ خوابها لازم‌ است‌ كه‌ حال‌ و هواي‌ عميق‌ وواكنش‌هاي‌ احساسي‌ تان‌ را در آن‌ها بررسي‌ نماييد.ممكن‌ است‌ در خوابتان‌ براي‌ تفريح‌ مشغول‌ بازي‌باشيد، كه‌ گاه‌ و بيگاه‌ رخ‌ مي‌دهد. ولي‌ ديگرخوابهاي‌ «بازي‌ كردن‌« مي‌توانند نشان‌ دهنده‌ چالش‌هايي‌ در زندگي‌ تان‌، ماهيت‌ رقابت‌ طلبانه‌ و بلندپروازانه‌ يا ساده‌ لوحي‌، ناپختگي‌، خامي‌ و بچگي‌شما باشند. اين‌ خوابها مي‌توانند برملا كننده‌ اهداف‌و نيات‌ شما براي‌ كسب‌ موفقيت‌ يا شيوه‌اي‌ آسان‌ وراحت‌ براي‌ خارج‌ ساختن‌ نيرو و انرژي‌ بالاي‌ شماباشند. هم‌ چنين‌ مشاهده‌ بازي‌ در خواب‌ مي‌تواندنمايانگر «بازي‌ زندگي‌« باشد. اگر در خوابتان‌ مشغول‌بازي‌ عجيبي‌ با افراد آشنا بوديد، لازم‌ است‌ كه‌ به‌دقت‌ رفتار، كنش‌ و تأثير متقابل‌ خودتان‌ را با آنها ونقشي‌ را كه‌ هر يك‌ در خوابتان‌ بازي‌ مي‌كنند،بررسي‌ كنيد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==3 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "باغ‌ يا باغچه‌ در خواب‌ سمبل‌ معصوميت‌،بي‌گناهي‌، عفت‌، پاكدامني‌ و جواني‌ است‌. درفرهنگ‌ عامه‌ آمده‌ است‌ كه‌ مشاهده‌ باغ‌ها وباغچه‌هاي‌ زيبا و پر از گل‌ و گياه‌ در خواب‌ سمبل‌عشق‌ و يك‌ شادي‌ بزرگ‌ و دور از انتظار است‌. اگردر خواب‌ تان‌ باغ‌ يا باغچه‌ خودرو و بي‌ طراوت‌باشد، بدان‌ معنا است‌ كه‌ ممكن‌ است‌ مشكلاتي‌در پيش‌ رو داشته‌ باشيد ولي‌ با كمي‌ دقت‌ وتوجه‌ قادر خواهيد شد تا بر آنها غلبه‌ نماييد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==4 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "بالا رفتن‌ يا پايين‌ آمدن‌ در بالابر مي‌تواندعلامت‌ گذر از يك‌ مرحله‌ هوشياري‌ و خودآگاهي‌به‌ مرحله‌اي‌ ديگر باشد. احتمالا پيام‌هاي‌ ضميرناخودآگاهتان‌ دست‌ يافتني‌، قابل‌ فهم‌ وتأثيرپذير هستند. عده‌اي‌ معتقدند كه‌ بالابر درخواب‌ نشانه‌ زندگي‌ يكنواخت‌ و ماشين‌ وار است‌.در شكل‌ واقع‌ بينانه‌تر، بالابر مي‌تواند صرفانمايانگر فراز و نشيب‌هاي‌ زندگي‌ باشد. اگر درخواب‌، در حال‌ بالا رفتن‌ در يك‌ بالابر بوديد، درنتيجه‌ درحال‌ حاضر به‌ شرايط فعلي‌ زندگي‌ تان‌خوش‌ بين‌ هستيد و احساس‌ مي‌كنيد كه‌ درجهتي‌ مناسب‌ در حال‌ پيشروي‌ هستيد. اگر درخواب‌، در حال‌ پايين‌ آمدن‌ در يك‌ بالابر بوديد،در نتيجه‌ در حال‌ حاضر با ديدي‌ منفي‌ درزندگي‌تان‌ پيش‌ مي‌رويد و احساس‌ درماندگي‌ واستيصال‌ مي‌كنيد.", None, QtGui.QApplication.UnicodeUTF8))
        if x==5 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "در هنگام‌ تعبير خواب‌، لازم‌ است‌ كه‌ آن‌ويژگ‌ها و خصوصياتي‌ را بررسي‌ نماييد كه‌ ما بااين‌ حيوان‌ مشترك‌ هستيم‌. ما بزها را حيواناتي‌قوي‌، پر طاقت‌، مقاوم‌، مصمم‌، پيگير و قرص‌ ومحكم‌ تلقي‌ مي‌كنيم‌. به‌ لحاظ تاريخي‌، بزهاحيواناتي‌ قرباني‌ شونده‌ هستند و زماني‌ كه‌ قصدسرزنش‌ كسي‌ را داريم‌ او را «سپر بلا يا بلاگردان‌«خطاب‌ مي‌كنيم‌. هم‌ چنين‌ در اسطوره‌شناسي‌بزها به‌ عنوان‌ سمبل‌ سرزندگي‌ جسماني‌ در نظرگرفته‌ شده‌اند. جزييات‌ خواب‌ تان‌ را بررسي‌نماييد تا شايد بتوانيد يكي‌ از اين‌ خصوصيات‌ رابه‌ خودتان‌ يا شخص‌ ديگري‌ در زندگي‌روزمره‌تان‌ نسبت‌ دهيد.", None, QtGui.QApplication.UnicodeUTF8))
        if x==6 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "خوردن‌، درست‌ كردن‌، فروختن‌ يا پذيرايي‌ بابستني‌ در خواب‌ نشان‌ دهنده‌ آن‌ است‌ كه‌ شما اززندگي‌ تان‌ رضايت‌ خاطر داريد و از آن‌ خشنوديد.يعني‌ اوضاع‌ بر وفق‌ مرادتان‌ است‌ و كارهايتان‌ روز به‌روز بهتر مي‌شوند و يا اين‌ كه‌ ممكن‌ است‌ در خواب‌در حال‌ جبران‌ يك‌ كمبود در زندگي‌ روزمره‌تان‌باشيد، به‌ عنوان‌ مثال‌ ناخشنودي‌، نامهرباني‌،تلخكامي‌، دروغ‌، نادرستي‌ و نداشتن‌ خلوص‌ نيت‌در خلال‌ روز ممكن‌ است‌ در شب‌ به‌ اين‌ اشكال‌ درخوابهايتان‌ نمايان‌ شود. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==7 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "اين‌ خواب‌ نيز، مثل‌ تمام‌ خواب‌ها، مي‌تواندمعاني‌ و تعابير متعدد و گوناگوني‌ داشته‌ باشد. اگردر خواب‌ در حال‌ جمع‌ آوري‌ وسايل‌ خودتان‌ (به‌منظور اسباب‌ كشي‌ يا هر دليل‌ ديگر) بوديد، به‌احتمال‌ زياد نگران‌ تغيير و تحولات‌ مهم‌ وبنياديني‌ هستيد كه‌ در زندگي‌ روزمره‌تان‌ رخ‌مي‌دهند. در غير اين‌ صورت‌، ضميرناخودآگاهتان‌ در حال‌ سازمان‌ دهي‌ و رها كردن‌«بار و بنه‌« عاطفي‌ احساسي‌ است‌. برخي‌ ازمعبران‌ معتقدند كه‌ مشاهده‌ اين‌ گونه‌ خوابها،صرفا، به‌ منزله‌ اشاره‌اي‌ از ضمير ناخودآگاهتان‌بدين‌ مضمون‌ است‌، شما درگير فعاليت‌هاي‌ زيادو متعددي‌ هستيد كه‌ احتمالا لازم‌ است‌ برخي‌ ازآنها را جمع‌ آوري‌ كرده‌ و رهايشان‌ نماييد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==8 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "اگر در خواب‌، خود را بيمار ديديد، حتما وضعيت‌جسماني‌ تان‌ را بررسي‌ نماييد. گهگاهي‌ ضميرناخودآگاه‌ ما، قبل‌ از آن‌ كه‌ نسبت‌ به‌ بروز هر گونه‌علامت‌ و نشانه‌اي‌ دال‌ بر بيماري‌ هوشيار شويم‌، درخواب‌ به‌ ما هشدار مي‌دهد. سلامتي‌ فكري‌ واحساسي‌ نيز مي‌توانند شامل‌ اين‌ چنين‌ خوابهايي‌شوند، در نتيجه‌ مراقب‌ ارتباط تتان‌ باشيد واحساساتتان‌ را به‌ شيوه‌هايي‌ مثبت‌ بروز دهيد. اگردر خواب‌ يكي‌ از عزيزانتان‌ را بيمار ديديد، به‌احتمال‌ زياد نگران‌ از دست‌ دادن‌ حمايت‌، عشق‌ ومحبت‌ آن‌ شخص‌ هستيد. كلمه‌ بيماري‌ دقيقا و به‌ معناي‌ واقعي‌ كلمه‌ «ازبين‌ رفتن‌ آرامش‌ و راحتي‌« معني‌ مي‌دهد. بنابراين‌قبل‌ از تعبير اين‌ خواب‌ لازم‌ است‌ كه‌ سلامتي‌ رواني‌و جسماني‌ خود را به‌ دقت‌ بررسي‌ نماييد. اين‌ خواب‌مي‌تواند اشاره‌اي‌ به‌ وضعيت‌ سلامت‌ جسماني‌ يارواني‌ شما داشته‌ باشد و از خطري‌ قريب‌ الوقوع‌خبر دهد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==9:
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "درها معبر و مجراي‌ عبور و مرور هستند و درخوابها نيز از همان‌ معاني‌ برخوردارند. عبور كردن‌ ازطريق‌ يك‌ در، در خوابها مي‌تواند نشان‌ دهنده‌ گذرو عبور از يك‌ مرحله‌ و حالت‌ خودآگاهي‌ به‌ ديگري‌ يااز يك‌ مرحله‌ دروني‌ به‌ مرحله‌ ديگر باشد. درهاي‌قفل‌ يا بسته‌ در خواب‌ مي‌توانند نمايانگر وجود يك‌مانع‌ يا سد راه‌ يا فرصت‌ هايي‌ باشند كه‌ در حال‌حاضر دستيابي‌ به‌ آنها برايتان‌ مقدور نيست‌.مشاهده‌ چنين‌ در، در خواب‌ مي‌تواند نشان‌ دهنده‌حق‌ انتخاب‌ و گزينش‌هاي‌ زياد شما باشد.", None, QtGui.QApplication.UnicodeUTF8))
        if x==10:
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "شناور بودن‌ روي‌ آب‌ مي‌تواند نماد شناور بودن‌روي‌ احساسات‌ و عواطف‌ ما و سازگاري‌ با ضميرناخودآگاهمان‌ باشد. معلق‌ بودن‌ در هوا نيز همان‌تعبير پرواز را دارد. شناور بودن‌ معمولا نمايانگراحساسات‌ آرامش‌ و آزادي‌ كلي‌ و جاري‌ شماست‌. ازجنبه‌ منفي‌، شناور يا معلق‌ بودن‌ مي‌تواند سمبل‌درونگرايي‌، سردي‌، گوشه‌گيري‌، كمبود معاشرت‌ وارتباط يا ضرورتي‌ براي‌ تعليم‌ و آموزش‌ ديدن‌ باشد.به‌ هر حال‌ به‌ منظور تعبير صحيح‌ هر خوابي‌، لازم‌است‌ كه‌ به‌ نحو مطلوب‌ و شايسته‌اي‌ خودتان‌ راارزيابي‌ كرده‌ و صداقت‌ به‌ خرج‌ دهيد. معاني‌ و تعابيرهمه‌ خوابها بسيار شخصي‌ و مختص‌ بيننده‌ خواب‌هستند.", None, QtGui.QApplication.UnicodeUTF8))
        if x==11 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "در هنگام‌ تعبير اين‌ خواب‌، ابتدا لازم‌ است‌ كه‌ سلامت‌جسماني‌تان‌ را مورد مداقه‌ و بررسي‌ قرار دهيد. اگر درزندگي‌ روزانه‌تان‌ دردي‌ داريد، ممكن‌ است‌ به‌ وفوراين‌ گونه‌ خوابها را مشاهده‌ نماييد. در ضمن‌، اگر دردماهيت‌ عاطفي‌ احساسي‌ داشته‌ باشد، بايد در مورداحساسات‌ و عواطف‌ عذاب‌ آور، آزاردهنده‌، تلخ‌ وناگوار جستجو كنيد و منابع‌ آنها را شناسايي‌ نماييد.خواب‌ و رؤيا معمولا شيوه‌اي‌ بي‌خطر و ايمن‌ براي‌تجربه‌ احساسات‌ و عواطف‌ منفي‌ است‌، احساساتي‌ كه‌نمي‌خواهيد در زندگي‌ روزمره‌ با آنها مواجه‌ و روياروي‌شويد.  ", None, QtGui.QApplication.UnicodeUTF8))
        if x==12 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "تعبير داروها در خواب‌ بستگي‌ به‌ اين‌ دارد كه‌شما در زندگي‌ روزمره‌ تان‌ چه‌ ارتباطي‌ با آنهاداريد و آيا آنها را پزشكي‌ برايتان‌ تجويز كرده‌است‌ يا نه‌. اگر در حال‌ حاضر در حال‌ مصرف‌ داروهستيد، پس‌ داروها در خواب‌ نشان‌ دهنده‌كارهايي‌ ست‌ كه‌ به‌ طور عادي‌ انجام‌ مي‌دهيد ولازم‌ است‌ كه‌ به‌ ديگر جزييات‌ خوابتان‌ توجه‌كنيد تا تعبير صحيح‌ و مناسبي‌ به‌ عمل‌ آوريد.اگر ندرتا و يا هرگز از دارو استفاده‌ نمي‌كنيد، پس‌اين‌ خواب‌ مي‌تواند نشان‌ دهنده‌ يك‌ ضرورت‌ ولزوم‌ براي‌ بهبود يافتن‌ و فرار از استرس‌ روزانه‌ وميل‌ و رغبت‌ نسبت‌ به‌ رهايي‌ و خلاصي‌ سريع‌باشد. داروها مي‌توانند نمايانگر يك‌ ضرورت‌براي‌ شفا يافتن‌ و به‌ حالت‌ تعادل‌ درآمدن‌باشند. ممكن‌ است‌ ضمير ناخودآگاه‌ شما در حال‌اشاره‌ به‌ مسايل‌ عجيب‌ و غريب‌، غير متعارف‌،نامعمول‌ و نامعقول‌ باشد، به‌ اين‌ اميد كه‌ پيام‌ آن‌را دريابيد و خوش‌ باشيد، تفريح‌ كنيد، خوابهاي‌خوب‌ ببينيد و از فكر و خيال‌ درآييد! به‌ خاطرداشته‌ باشيد كه‌ هدف‌ تمام‌ خوابها بيدار سازي‌ وهوشياري‌ ضمير خودآگاه‌ ما محسوب‌ مي‌شود ومي‌خواهند به‌ ما كمك‌ كنند تا زندگي‌ بهتري‌داشته‌ باشيم‌. پيام‌ اين‌ چنين‌ خوابهايي‌ به‌احتمال‌ زياد تشويق‌ و ترغيب‌ شما به‌ مصرف‌دارو نيست‌، بلكه‌ نشان‌ دهنده‌ يك‌ ضرورت‌ ولزوم‌ براي‌ پيدا كردن‌ احساس‌ و حال‌ و هواي‌ بهتريا بهبود يافتن‌ است‌. مصرف‌ دارو در خواب‌ همواره‌ نمايانگر تلاش‌شما در جهت‌ سلامت‌ شخصي‌ است‌. ممكن‌ است‌ضميرناخودآگاه‌ شما قصد داشته‌ باشد كه‌ شما راتشويق‌ نمايد تا دست‌ به‌ كار شده‌ و از سلامتي‌ و سرزندگي‌تان‌ اطمينان‌ حاصل‌ نماييد. بررسي‌ نماييد وببينيد كه‌ آيا دارويي‌ را كه‌ در خواب‌ مصرف‌ كرده‌ايد،مفيد واقع‌ شده‌ يا مضر؟ سپس‌ تلاش‌ كنيد تا اين‌افكار را با شرايط فعلي‌ زندگي‌ روزمره‌تان‌ ارتباطدهيد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==13 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "دايناسورها هميشه‌ جالب‌، گاهي‌ دوست‌داشتني‌ و بيشتر اوقات‌ خطرناك‌ هستند و بيشتر درتخيلات‌ و تصورات‌ ما زندگي‌ مي‌كنند. بنابراين‌ تمام‌جزييات‌ خوابتان‌ را به‌ دقت‌ بررسي‌ نماييد تا بتوانيداين‌ ويژگي‌ها را به‌ برخي‌ از جنبه‌هاي‌ زندگي‌تان‌ ربطدهيد. خواه‌ به‌ دايناسور معني‌ مثبت‌ دهيد و خواه‌منفي‌، مي‌تواند نشان‌ دهنده‌ وجود مسأله‌اي‌درگذشته‌ شما باشد و يا نمايانگر آن‌ جنبه‌ ازشخصيت‌ شماست‌ كه‌ تمام‌ مدت‌ سعي‌ داشتيد آن‌را عوض‌ كنيد. همچنين‌ نشان‌ دهنده‌ مسايلي‌ديرينه‌ و قديمي‌ هستند كه‌ به‌ طرز صحيح‌ و مناسبي‌شناسايي‌ نشده‌اند و لازم‌ است‌ دنبال‌ آنها را بگيريدتا قدرت‌ لازم‌ را بر تحت‌ تأثير درآوردن‌ زندگي‌تان‌در حال‌ حاضر كسب‌ نماييد.", None, QtGui.QApplication.UnicodeUTF8))
        if x==14 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "دعوا كردن‌ در خواب‌ معمولا نشانه‌ خشم‌،غضب‌، عصبانيت‌، سردرگمي‌ و اغتشاشي‌ است‌ كه‌اغلب‌ در هنگام‌ بروز تغيير و تحولات‌ به‌ وجودمي‌آيند. اگر تغيير و تحول‌ خاصي‌ در زندگي‌ تان‌ رخ‌نداده‌ است‌، پس‌ اين‌ خواب‌ مي‌تواند به‌ منزله‌ضرورت‌ ايجاد يك‌ تحول‌ يا دگرگوني‌ در زندگي‌ شماباشد و يا اين‌ كه‌ شما قصد داريد از درون‌ و به‌ طورناخودآگاه‌ تغيير نماييد. دعوا كردن‌ با بيگانگان‌معمولا نشان‌ دهنده‌ يك‌ كشمكش‌ دروني‌ است‌.دعوا كردن‌ با آشنايان‌ مي‌تواند بسط زندگي‌ روزمره‌شما و انعكاسي‌ از رابطه‌ شما با آنها باشد.", None, QtGui.QApplication.UnicodeUTF8))
        if x==15 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "اكثر افراد غالبا خواب‌ دوستانشان‌ را مشاهده‌مي‌كنند. دوستان‌ اشخاصي‌ هستند كه‌ از نظراحساسي‌ براي‌ ما ارزش‌ زيادي‌ دارند و ما از طريق‌آنها بهتر خودمان‌ را مي‌شناسيم‌. اگرچه‌ خوابهاخيلي‌ به‌ ندرت‌ ناظر به‌ حوادث‌ آينده‌ و پيشگويانه‌هستند، در نتيجه‌ خواه‌ خواب‌ بدي‌ مشاهده‌ كنيد ياخواب‌ خوبي‌ ببينيد، انتظار نداشته‌ باشيد كه‌ تعبيرشوند. مشاهده‌ چنين‌ خوابهايي‌ بيشتر نشان‌ دهنده‌تلاش‌هاي‌ ما براي‌ رفع‌ احساسات‌ ناراحت‌ كننده‌اي‌است‌ كه‌ شما نسبت‌ به‌ خودتان‌ يا ديگران‌ داريد. (به‌خاطر داشته‌ باشيد كه‌ كلمه‌ «ناراحت‌ كننده‌« لزوما به‌معناي‌ بد نيست‌.) اكثر خوابها به‌ واسطه‌ مراحل‌فكري‌ خودمان‌ به‌ وجود مي‌آيند، يعني‌ افكار وانديشه‌هاي‌ خودمان‌ هستند كه‌ (خواه‌ آگاهانه‌ ياناآگاهانه‌) خوابها را ايجاد مي‌كنند، از اين‌ رو ذهني‌كه‌ خواب‌ را توليد كرده‌، معناي‌ آن‌ را خوب‌ مي‌داند", None, QtGui.QApplication.UnicodeUTF8))
        if x==16 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "تمام‌ وسايل‌ نقليه‌ در خواب‌ نشان‌ دهنده‌ مرحله‌عبور ما از سفر زندگي‌ هستند. از آنجايي‌ كه‌دوچرخه‌ قبل‌ از ماشين‌ ساخته‌ شده‌ است‌، اين‌چنين‌ خوابي‌ مي‌تواند بيانگر برخي‌ از گرايشات‌ وتمايلات‌ نوجواني‌ شما باشد. اگر يك‌ نوجوان‌ هستيدو چنين‌ خوابي‌ ديده‌ايد، اين‌ خواب‌ مي‌تواند نشان‌دهنده‌ نحوه‌ زندگي‌ شما و امور روزمره‌ زندگي‌تان‌باشد. دوچرخه‌ سواري‌ در خواب‌ نشانه‌ وجود يك‌نياز و ضرورت‌ براي‌ تعادل‌ و سخت‌ كوشي‌ است‌ تابتوانيد با جد و جهد و سعي‌ فراوان‌ به‌ موفقيت‌ نايل‌شويد. عده‌اي‌ معتقدند كه‌ دوچرخه‌ نشان‌ دهنده‌نياز شما به‌ كمك‌ و دستياريست‌. پس‌ لازم‌ است‌ كه‌تمام‌ جزييات‌ خواب‌ تان‌ را در نظر بگيريد. آيا درحالي‌ كه‌ سوار دوچرخه‌ بوديد، از مسيري‌ بالامي‌رفتيد و يا پايين‌ مي‌آمديد. همچنين‌ به‌ تعابيرماشين‌، جاده‌ و سفر مراجعه‌ نماييد.  ", None, QtGui.QApplication.UnicodeUTF8))
        if x==17 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "دلفين‌ها در خواب‌ نشان‌ دهنده‌ مهرباني‌،محبت‌، گرمي‌، رفتار و رابطه‌ دوستانه‌، زندگي‌گروهي‌، رهايي‌، نجات‌ يافتن‌، ارتباطات‌، دلبستگي‌ وعشق‌ هستند. آنها پستانداراني‌ آبزي‌ هستند كه‌ درخوابهاي‌ ما نمايانگر رغبت‌، رضامندي‌ و توانايي‌ ما ازطريق‌ هدايت‌ عواطف‌ و احساسات‌ محسوب‌مي‌شوند. آنها نشانه‌ پيام‌هاي‌ مثبت‌ از ضميرناخودآگاه‌ ما هستند. همچنين‌ نمايانگر يك‌ ارتباطمثبت‌ بين‌ ضمير خودآگاه‌ با آن‌ بخش‌ هايي‌ از وجودما هستند كه‌ يك‌ راز به‌ شمار مي‌آيند و عمدتاناخودآگاه‌ و غير اراديند. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==18 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "اكثر اوقات‌ دكمه‌ها در خواب‌ به‌ لباس‌ متصل‌هستند كه‌ نشان‌ دهنده‌ جزيي‌ از جسم‌ شما وظاهرتان‌ مي‌باشند. اگر در خواب‌ در حال‌ بستن‌ ويا باز كردن‌ دكمه‌ لباس‌ بوديد، بايد تمام‌ جزييات‌خوابتان‌ را بررسي‌ نماييد و پيغام‌ و معناي‌صحيح‌ آن‌ را دريابيد. در مجموع‌ باز كردن‌ دكمه‌در خواب‌ نشان‌ دهنده‌ گشودن‌ دروازه‌ عواطف‌،احساسات‌ و يا نظريات‌ شماست‌. يعني‌ احتمالاخودتان‌ را در معرض‌ امكانات‌ جديدي‌ قرارداده‌ايد و مي‌خواهيد افكار، تفكرات‌ وبرخوردهاي‌ قديمي‌ و به‌ درد نخور خودتان‌ رادور بريزيد و يا اين‌ كه‌ از جنبه‌ مثبت‌، باز كردن‌دكمه‌ها مي‌تواند بازتاب‌ و انعكاس‌ يك‌ نياز وضرورت‌ براي‌ صرفه‌ جويي‌ و يا «بستن‌ زيپ‌ ودكمه‌هاي‌« دهانتان‌ و يا مهار و كنترل‌احساساتتان‌ باشد. از جنبه‌ منفي‌، باز كردن‌دكمه‌ها مي‌تواند نشان‌ دهنده‌ آن‌ باشد كه‌ شايدشما در حال‌ حاضر احساس‌ محدوديت‌ مي‌كنيد،گويي‌ تحت‌ نظارت‌ و در قيد و بند هستيد ومي‌خواهيد رها و آزاد شويد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==19 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "مي‌گويند شب‌ پره‌ به‌ منبع‌ نور و روشنايي‌ وگرما آنقدر نزديك‌ مي‌شود تا به‌ آن‌ برخورد كرده‌و نابود شود. درنتيجه‌ شب‌ پره‌ در خواب‌هاي‌ مامي‌تواند نشانگر يك‌ ضعف‌ شخصيتي‌ باشد و يافريب‌ كاري‌ و تقلبي‌ را در زندگي‌ روزمره‌تان‌نشان‌ دهد. شايد شب‌ پره‌ در خواب‌ به‌ ما هشداردهد كه‌ در حال‌ پيشروي‌ به‌ جايي‌ هستيم‌ كه‌خطري‌ ما را تهديد مي‌كند ولي‌ اگر از قبل‌ از خطرآگاهي‌ داشته‌ باشيم‌، مشكلي‌ برايمان‌ پيش‌نخواهد آمد. حال‌ اين‌ خطر مي‌تواند عاطفي‌،احساسي‌ يا رواني‌ و ذهني‌ باشد، نه‌ لزوماجسماني‌. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==20 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "در مجموع‌، البسه‌ و پوشاك‌ در خواب‌ نشان‌ دهنده‌نقش‌ هايي‌ هستند كه‌ ما در زندگي‌ ايفا مي‌كنيم‌ و هم‌چنين‌ نمايانگر برداشت‌ و استنباط افراد روي‌ مامي‌باشند. اگر در خواب‌، پوشيدن‌ يا در آوردن‌ شلوار،محور قرار گرفته‌ باشد، به‌ احتمال‌ زياد در رابطه‌ بانقش‌ تان‌ در محل‌ كار، خانه‌ يا هر قسمت‌ ديگري‌ اززندگي‌ برايتان‌ سؤالاتي‌ پيش‌ آمده‌ است‌. با بررسي‌دقيق‌ محتواي‌ عاطفي‌ خوابتان‌ و اين‌ كه‌ چه‌ كسي‌شلوار به‌ تن‌ داشت‌، مي‌توانيد به‌ راحتي‌ اين‌ گونه‌خوابها را تعبير نماييد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==21 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "بسياري‌ از وسايل‌ ضروري‌ و لازم‌ از جنس‌شيشه‌ هستند. مثلا پنجره‌ها كه‌ باعث‌ مي‌شوندنور خورشيد به‌ راحتي‌ به‌ درون‌ خانه‌هاي‌ مابتابد، اكثر ليوانها كه‌ توسط آنها آب‌ مي‌نوشيم‌،عينك‌هاي‌ طبي‌ كه‌ باعث‌ ديد بهتر مي‌شوند وغيره‌ از جنس‌ شيشه‌ هستند. شيشه‌ زندگي‌ ما راراحت‌تر مي‌كند و ما به‌ ندرت‌ يا شايد هم‌ اصلايك‌ لحظه‌ هم‌ به‌ اهميت‌ آنها نينديشيم‌. اگر درخوابتان‌ شيشه‌اي‌ شكسته‌ بود، مي‌تواند سمبل‌شكسته‌ شدن‌ يا فروپاشي‌ هم‌ مثبت‌ و هم‌ منفي‌مسايل‌ و چيزها باشد. به‌ عنوان‌ مثال‌، اين‌خواب‌ها مي‌توانند نمايانگر درهم‌ شكسته‌ شدن‌تصورات‌ غلط، خيالات‌ باطل‌، توهمات‌،محروميت‌ها، فريب‌ كاري‌، دروغ‌ و فريب‌ باشند.از جنبه‌ منفي‌، اين‌ خوابها هم‌ چنين‌ مي‌توانندنشانگر درهم‌ شكسته‌ شدن‌ رؤياها، اميدها وآرزوهاي‌ قلبي‌ و دروني‌ بيننده‌ خواب‌ باشند. دركتابهاي‌ قديمي‌ تعبير خواب‌ آمده‌ است‌ كه‌نگريستين‌ از طريق‌ يك‌ شيشه‌ شفاف‌ و تميزنشانه‌اي‌ از خوش‌ شانسي‌ است‌ و نگاه‌ كردن‌ ازطريق‌ شيشه‌اي‌ كدر و كثيف‌ سمبل‌ مشكلات‌خانوادگي‌ مي‌باشد.", None, QtGui.QApplication.UnicodeUTF8))
        if x==22 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "شير در خواب‌ مي‌تواند از دو جنبه‌ كاملامتفاوت‌ بررسي‌ شود. ابتدا، شير مي‌تواند يك‌ بازنمود واضح‌ از مايعات‌ بدن‌ باشد و يا ممكن‌ است‌تمايلات‌ ناخودآگاه‌ (و يا خودآگاه‌) شما را براي‌ارتباط گيري‌ نشان‌ مي‌دهد. هم‌ چنين‌ شير ازجنبه‌ ديگري‌ سمبلي‌ از تغذيه‌ است‌ و با در نظرگرفتن‌ جزييات‌ خواب‌، نشان‌ مي‌دهد كه‌ به‌ميزان‌ مناسبي‌ نسبت‌ به‌ محيط اطراف‌ تان‌ ازحمايت‌ و دقت‌ خاصي‌ برخورداريد و يا اين‌پشتيباني‌ و توجه‌ را نسبت‌ به‌ ديگران‌ از خودنشان‌ مي‌دهيد.  ", None, QtGui.QApplication.UnicodeUTF8))
        if x==23 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "شيرجه‌ زدن‌ در خواب‌ نشان‌ دهنده‌ آن‌ است‌ كه‌شما در تلاشيد تا به‌ كنه‌ و عمق‌ يك‌ موقعيت‌ موجوددر زندگي‌تان‌ پي‌ ببريد. آب‌ نشانگر ضمير ناخودآگاه‌است‌. بنابراين‌ مي‌توان‌ اين‌ خواب‌ را به‌ اين‌ شكل‌تعبير كرد كه‌ شما در حال‌ كند و كاو درون‌ ضميرناخودآگاهتان‌ هستيد. فرويد معتقد بود كه‌ شيرجه‌زدن‌ در خواب‌ مي‌تواند معني‌ جسماني‌ داشته‌ ونشان‌ دهنده‌ جنبه‌هاي‌ معاشرتي‌ انسان‌ باشد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==24 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "اگر شخصي‌ در خواب‌ ببيند كه‌ در رستوراني‌نشسته‌ و مشغول‌ غذا خوردن‌ است‌، اين‌ خواب‌مي‌تواند نمايانگر وجود ضرورت‌ و نيازي‌ براي‌ يك‌دگرگوني‌ و تحول‌ اساسي‌ و مهم‌ در زندگي‌ روزمره‌باشد. به‌ عبارت‌ ديگر، اين‌ چنين‌ خوابهايي‌مي‌توانند نشان‌ دهنده‌ شكلي‌ از تحقق‌ و برآورده‌شدن‌ آرزوي‌ بيننده‌ خواب‌ باشد و نمايانگر فرارشخص‌ از دغدغه‌ها و نگراني‌هاي‌ پوچ‌ و بي‌معناي‌زندگي‌ روزمره‌ و رسيدن‌ به‌ محيطي‌ خوشايند ولذت‌ آور محسوب‌ شود. اگر از آن‌ دسته‌ از افرادي‌هستيد كه‌ به‌ ندرت‌ استراحت‌ مي‌كنيد، آرامش‌خيال‌ نداريد، زياد با مردم‌ گرم‌ نمي‌گيريد و از روابطاجتماعي‌ خوبي‌ برخوردار نيستيد، ديدن‌ چنين‌خوابهايي‌ مي‌تواند به‌ نوعي‌ جبران‌ كننده‌ آن‌ تلقي‌شوند. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==25 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "محتواي‌ اين‌ خواب‌ مي‌تواند در رابطه‌ باثروت‌، مال‌ اندوزي‌، مذهب‌، معنويت‌ يا جنس‌باشد. در قديم‌ روغن‌ به‌ عنوان‌ بخشي‌ از آيين‌مقدس‌ (مسيحيت‌) مورد استفاده‌ قرار مي‌گرفت‌.روغن‌ در خواب‌ نمايانگر مال‌ و ثروت‌ براي‌افرادي‌ است‌ كه‌ صاحب‌ آن‌ هستند، اگرچه‌ ممكن‌است‌ معاني‌ جسماني‌ نيز در بر داشته‌ باشد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==26 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "رنگ‌ قهوه‌اي‌ جزء رنگ‌هاي‌ با روح‌ و نشاطآور در طيف‌ رنگ‌ها محسوب‌ نمي‌شود. قهوه‌اي‌رنگي‌ مهم‌ است‌ كه‌ در ارتباط با زمين‌، خاك‌، گل‌يا وطن‌ قرار دارد. فصل‌ پاييز قهوه‌اي‌ رنگ‌ است‌و زمان‌ عدم‌ فعاليت‌، خفتگي‌ و محافظه‌كاري‌محسوب‌ مي‌شود. رنگ‌ قهوه‌اي‌ در خواب‌مي‌تواند سمبل‌ صحت‌ جسماني‌ و سادگي‌ و بي‌پيرايگي‌ باشد. اين‌ رنگ‌ مي‌تواند در خواب‌مسايل‌ و مشكلات‌ انسانها را به‌ گونه‌اي‌ بنيادي‌ وعريان‌ نشان‌ دهد و مي‌توان‌ آن‌ را به‌ اين‌ شكل‌تعبير كرد كه‌ شايد لازم‌ است‌ كمي‌ به‌ زندگي‌تان‌روح‌ و شادي‌ دهيد و بي‌خيال‌ باشيد. به‌ تعبيررنگ‌ها نيز مراجعه‌ فرماييد.   ", None, QtGui.QApplication.UnicodeUTF8))
        if x==27 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "گاهي‌ اوقات‌ اين‌ رنگ‌ در ارتباط با دستگاه‌تناسلي‌ است‌. در نتيجه‌ يافتن‌ معنا و تعبيرصحيح‌ معناي‌ آن‌ در زندگي‌ شخصي‌ كار ساده‌اي‌نيست‌. از اين‌ رو، در صورت‌ مشاهده‌ اين‌ رنگ‌ درخواب‌، ابتدا سلامت‌ اين‌ دستگاه‌ را مورد مداقه‌قرار دهيد و سپس‌ ارتباط اين‌ رنگ‌ را با تمام‌جنبه‌هاي‌ مختلف‌ زندگي‌ تان‌ دريابيد.  ", None, QtGui.QApplication.UnicodeUTF8))
        if x==28 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "مشاهده‌ ريش‌ در خواب‌ معمولا در ارتباط بامردانگي‌، عقل‌، خردمندي‌ و قدرت‌ است‌ و اكثرمردهايي‌ كه‌ طالب‌ و خواهان‌ احترام‌ هستند، بيشترچنين‌ خوابي‌ را مي‌بينند. در كتابهاي‌ قديمي‌ تعبيرخواب‌ آمده‌ است‌ كه‌ مشاهده‌ مردان‌ ريشو در خواب‌خوش‌ يمن‌ است‌ و يك‌ شانس‌ و فرصت‌ خوب‌ را درپي‌ دارد، در حالي‌ كه‌ مشاهده‌ زن‌هاي‌ ريشوبدشانسي‌ به‌ دنبال‌ دارد. جاي‌ تعجب‌ نيست‌، چون‌زني‌ كه‌ خيلي‌ قوي‌، عاقل‌، خردمند و محترم‌ باشد،در نظر عده‌اي‌ موجودي‌ خيلي‌ تهديدآميز و پر خطرمحسوب‌ مي‌شود. اگر يك‌ زن‌ در خواب‌ ببيند كه‌ريش‌ در آورده‌ است‌، احتمالا در رابطه‌ با قدرت‌خويش‌ دچار مشكل‌ است‌. شايد بيش‌ از حدي‌ كه‌بخواهد و يا بيش‌ از حد لزوم‌ در حال‌ استفاده‌ وبهره‌گيري‌ از قدرت‌ مردانه‌شان‌ هستند. به‌ تعبير مونيز مراجعه‌ فرماييد.", None, QtGui.QApplication.UnicodeUTF8))
        if x==29 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "ممكن‌ است‌ در صورت‌ مشاهده‌ چنين‌ خوابهايي‌ضمير ناخودآگاهتان‌ در حال‌ پيغام‌ دادن‌ به‌ شماباشد تا بگويد زمان‌ مساعد براي‌ دور ريختن‌ مسايل‌و چيزهاي‌ غير ضروري‌ فرا رسيده‌ است‌. يعني‌زماني‌ مناسب‌ براي‌ دور انداختن‌ آشغال‌ها و خرت‌ وپرت‌ها از ذهن‌ و فكرتان‌ و ايجاد فضايي‌ مناسب‌براي‌ خودتان‌! هم‌ چنين‌ آشغال‌ در خواب‌ مي‌تواندنمايانگر مسايلي‌ از گذشته‌ يا زندگي‌ روزمره‌تان‌باشد كه‌ ارزش‌ به‌ خاطر سپردن‌ ندارند و يا عملا به‌درد نخور و بي‌ حاصل‌ هستند. گفته‌ شده‌ كه‌ نظافت‌ وپاكيزگي‌ نشانه‌ ايمان‌ و نزديكي‌ به‌ خداوند است‌. دورانداختن‌ آشغال‌ها از فكر و ذهن‌، روح‌ و روان‌ و جسم‌نه‌ تنها ضروري‌ است‌ بلكه‌ گاهي‌ اوقات‌ اين‌ عمل‌ درخواب‌هاي‌ ما صورت‌ مي‌گيرد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==30 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "آتش‌ در خواب‌ نمادي‌ بسيار پيچيده‌ محسوب‌مي‌شود كه‌ مي‌تواند معني‌ مثبت‌ يا منفي‌ داشته‌باشد. در هنگام‌ تعبير چنين‌ خوابي‌، لازم‌ است‌ كه‌تمام‌ جزييات‌ خوابتان‌ و واكنش‌ احساسي‌ تان‌ درخواب‌ را بررسي‌ نماييد. آتش‌ مي‌تواند يك‌ سمبل‌خيلي‌ معنوي‌ باشد كه‌ نمايانگر دگرگوني‌، روشنگري‌،روشنفكري‌ و روشن‌ بيني‌ است‌. از سوي‌ ديگر، آتش‌مي‌تواند نشان‌ دهنده‌ خطر، خشم‌، عشق‌،دلبستگي‌، غضب‌، هيجان‌، شور و شوق‌، رنج‌ وعذاب‌ يا ترس‌ و وحشت‌ باشد. آيا آتش‌ در خوابتان‌چيزي‌ را نابود مي‌كرد يا صرفا وسيله‌ براي‌ گرم‌ كردن‌شما بود؟ آيا اخيرا درگير اعمال‌ و رفتار منفي‌شده‌ايد يا آگاهانه‌ دست‌ به‌ انتخابهايي‌ اشتباه‌ يامخرب‌ مي‌زنيد؟ ممكن‌ است‌ ضمير ناخودآگاه‌ شمادر حال‌ هشدار دادن‌ باشد و در عين‌ حال‌ شما راتشويق‌ مي‌كند تا مسايل‌ مضر و خطرناك‌ را درزندگي‌ تان‌ تغيير دهيد.", None, QtGui.QApplication.UnicodeUTF8))
        if x==31 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "گوش‌ فرا دادن‌ به‌ اصوات‌ و آهنگ‌ در خواب‌ بايداز نقطه‌ نظر معنوي‌ بررسي‌ شود. شنيدن‌ ترانه‌هاي‌خوش‌ آهنگ‌ و دلنشين‌ در خواب‌ به‌ منزله‌ نشانه‌اي‌مثبت‌ در نظر گرفته‌ شده‌اند. معبران‌ قديمي‌ معتقدبودند كه‌ اگر در خواب‌ ترانه‌اي‌ آشنا را بشنويد،احتمالا به‌ طور اتفاقي‌ با دوستان‌ قديمي‌تان‌ برخوردخواهيد كرد. از جنبه‌ روان‌شناسي‌، تصور مي‌شودكه‌ احتمالا در خلال‌ روز ترانه‌اي‌ را شنيده‌ايد و بعددر خوابتان‌ آن‌ را مرور مي‌كنيد. اگرچه‌، از آنجايي‌ كه‌همه‌ خواب‌ها معني‌ دار هستند، ممكن‌ است‌ترانه‌اي‌ كه‌ در خواب‌ مي‌شنويد حاوي‌ پيام‌هاي‌خاصي‌ باشد كه‌ به‌ شما كمك‌ مي‌كنند تا مشكلي‌ راحل‌ كرده‌ و يا به‌ نحوي‌ به‌ خودتان‌ ياري‌ رسانيد تااحساس‌ بهتري‌ پيدا نماييد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==32 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "آب‌ به‌ هر شكلي‌ در خواب‌ يك‌ نماد پر معناست‌.ديدن‌ آكواريوم‌ در خواب‌ ممكن‌ است‌ نشان‌ دهنده‌احساسات‌، ضمير ناخودآگاه‌، تمايلات‌ غريزي‌ و درعين‌ حال‌ خود زندگي‌ باشد. قبل‌ از تعبير اين‌ چنين‌خوابي‌ لازم‌ است‌ كه‌ ديگر جزييات‌ خواب‌ و كيفيت‌كلي‌ آن‌ را در نظر گرفت‌. آكواريوم‌ نشان‌ دهنده‌ يك‌سهم‌ از زندگي‌ تان‌ و يا يك‌ «قطعه‌ از زندگي‌« است‌.آكواريوم‌ها هميشه‌ در حالت‌ تعادل‌ و حاوي‌ انواع‌اكوسيستم‌ها هستند. تمام‌ اشخاص‌ از تماشاي‌آكواريوم‌ها لذت‌ مي‌برند و به‌ نوعي‌ تسكين‌ و آرامش‌خاطر مي‌يابند. بنابراين‌، اين‌ چنين‌ خوابي‌مي‌خواهد به‌ ما پيغام‌ دهد كه‌ بيشتر فكر كنيم‌ وآرامش‌ داشته‌ باشيم‌. اين‌ خواب‌ مي‌تواند نمايانگراين‌ باشد كه‌ زندگي‌ محيطي‌ كوچك‌ براي‌ به‌ حالت‌تعادل‌ در آوردن‌ استرس‌ است‌ و در عين‌ حال‌پيچيدگي‌ و دشواري‌ توان‌ كاه‌ و شديد مشكلات‌روزمره‌ را نشان‌ مي‌دهد. مي‌توانيد براي‌ اطلاعات‌بيشتر به‌ تعبير آب‌، اقيانوس‌ و رودخانه‌ رجوع‌نماييد.", None, QtGui.QApplication.UnicodeUTF8))
        if x==33 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "آينه‌ در خواب‌ نشانه‌ كبر، نخوت‌، غرور وجنبه‌هاي‌ ظاهري‌ است‌. ممكن‌ است‌ شما نگران‌تصورات‌ خود باشيد و از شيوه‌اي‌ كه‌ خودتان‌ رابه‌ آن‌ شكل‌ به‌ دنيا نشان‌ مي‌دهيد، بيمناك‌باشيد. عده‌اي‌ مي‌گويند كه‌ اگر در خواب‌ تصويرشفاف‌ و واضحي‌ را در آينه‌ ببينيد، ممكن‌ است‌مشغول‌ برداشت‌ كلي‌ از خويشتن‌ حقيقي‌ خودباشيد. به‌ نظر مي‌رسد كه‌ همواره‌ آينه‌هاي‌شكسته‌ در خواب‌ نشانه‌اي‌ دال‌ بر بدشانسي‌باشند. در زمينه‌اي‌ كلي‌تر، آينه‌ در خواب‌مي‌تواند به‌ عنوان‌ باز نمودي‌ از نيروي‌ عقلاني‌فرد در نظر گرفته‌ شود. نيروي‌ عقلاني‌ وسيله‌اي‌براي‌ جهت‌ يابي‌ است‌ و ما را دائما به‌ سمت‌شناخت‌ هر چه‌ بيشتر خود سوق‌ مي‌دهد. هويت‌دروني‌ ما تا حد خيلي‌ زيادي‌ در ارتباط بانحوه‌اي‌ است‌ كه‌ ما بدان‌ شكل‌ به‌ خود مي‌نگريم‌(نه‌ تنها در ظاهر، بلكه‌ نوعا به‌ عنوان‌ مرد، زن‌،جوان‌، پير و غيره‌). ما همگي‌ از اين‌ هويت‌حقيقي‌ خود بهره‌ مي‌گيريم‌ (كه‌ عمدتا محصول‌نيروي‌ عقلاني‌ و خرد خود ما است‌) تا در زندگي‌،جهت‌ يابي‌ كرده‌ و راه‌ صحيح‌ را برگزينيم‌.", None, QtGui.QApplication.UnicodeUTF8))
        if x==34 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "مشاهده‌ ابليس‌ يا روح‌ شيطاني‌ و ديو در خواب‌معمولا خيلي‌ وحشتناك‌ است‌، آن‌ چنان‌ كه‌ بيننده‌خواب‌ از ترس‌ از خواب‌ مي‌پرد. در مجموع‌ ابليس‌نشان‌ دهنده‌ مسأله‌ و چيزي‌ خارج‌ از وجود خودتان‌نيست‌. در حقيقت‌ نمايانگر منفي‌ترين‌ و عقب‌مانده‌ترين‌ بخش‌ وجودي‌ شماست‌. آن‌ بخش‌ ازوجود كه‌ ناآگاه‌ و غافل‌ مانده‌ و مخرب‌ و ويرانگراست‌. شما از طريق‌ بررسي‌ و مرور دقيق‌ تمام‌جزييات‌ خوابتان‌، بهتر مي‌توانيد معنا و پيام‌ آن‌ رادرك‌ كنيد. تمام‌ رؤياها، خوابهاي‌ خوب‌ به‌ شمارمي‌آيند كه‌ از طريق‌ آن‌ ضمير ناخودآگاه‌ ما اطلاعاتي‌را به‌ ضمير خودآگاه‌ منتقل‌ مي‌سازد. به‌ آن‌ ترتيب‌است‌ كه‌ شما قادر مي‌شويد به‌ نحو مؤثرتري‌ باجنبه‌هاي‌ ناخوشايند و نامطلوب‌ شخصيت‌ خودتان‌كنار بياييد. «كارل‌ يونگ‌« اين‌ جنبه‌ منفي‌ شخصيتي‌را «سياهي‌« ناميده‌ بود. ابليس‌ در خوابهايتان‌مي‌تواند نشان‌ دهنده‌ سياهي‌ شخصيت‌ شما باشد واشاره‌اي‌ كلي‌ به‌ آن‌ دارد.  ", None, QtGui.QApplication.UnicodeUTF8))
        if x==35 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "اردك‌ پرنده‌اي‌ جالب‌ است‌ و پيام‌ مثبتي‌ رانيز در بر دارد. اردكها طوري‌ با محيط سازگارشده‌اند كه‌ به‌ راحتي‌ مي‌تواند جهت‌ و مسيرشان‌را پيدا نمايند و هم‌ در آب‌ و هم‌ در خشكي‌زندگي‌ كنند. اردك‌ مي‌تواند شنا كند، راه‌ برود وپرواز نمايد. اردك‌ موجودي‌ انعطاف‌پذير است‌ واستعدادهاي‌ فراواني‌ دارد. مشاهده‌ اين‌ پرنده‌ درخواب‌ نشان‌ مي‌دهد كه‌ شما يا شخص‌ ديگري‌ درزندگي‌تان‌ خيلي‌ قابل‌ انعطاف‌ و تغييرپذيرهستيد و مي‌توانيد ماهرانه‌ و توانمندانه‌ بامسايل‌ و مشكلات‌ احساسي‌ و عاطفي‌تان‌ كناربياييد. معبران‌ خرافاتي‌ معتقد بودند كه‌ مشاهده‌اردك‌ در خواب‌ بسيار خوش‌ يمن‌ است‌ و شما به‌زودي‌ از شر مشكلات‌ فعلي‌ زندگي‌ روزمره‌ تان‌رهايي‌ مي‌يابيد.  ", None, QtGui.QApplication.UnicodeUTF8))
        if x==36 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "عده‌اي‌ معتقدند كه‌ ارواح‌ در خوابهايمان‌ بازنمودي‌ حقيقي‌ از اموات‌ هستند. البته‌ اين‌توضيحي‌ رسانا از چنين‌ خوابهايي‌ نيست‌.مشاهده‌ روح‌ در خواب‌ نشان‌ دهنده‌ بخشي‌ ازوجود شما است‌ كه‌ نامشخص‌ و گنگ‌ مي‌باشد وشما از دركش‌ عاجز هستيد. گاهي‌ اوقات‌، ارواح‌نمايانگر مسايل‌ دست‌ نيافتني‌، غيرقابل‌دسترسي‌، ناممكن‌ يا گذرا، كوتاه‌، سريع‌ وناپايدار هستند. مشاهده‌ ارواح‌ شيطاني‌ ياخبيث‌ در خواب‌ نشانگر گرايشات‌ و تمايلات‌منفي‌، بخش‌هاي‌ ناخوشايند شخصي‌تان‌ ياسياهي‌ وجود شما هستند. معبران‌ معتقدند كه‌مشاهده‌ ارواح‌ خوب‌ و مهربان‌ در خواب‌ نشانه‌خوشي‌ شانسي‌ شما است‌ و اين‌ كه‌ مي‌توانيدبراي‌ رسيدن‌ به‌ موفقيت‌ و شانسي‌ غير منتظره‌آماده‌ شويد. اگر در خواب‌ تان‌ به‌ واسطه‌ مشاهده‌روح‌ به‌ شدت‌ وحشت‌ زده‌ شديد، احتمالا بدان‌معنا است‌ كه‌ ديگران‌ سعي‌ خواهند كردخواسته‌هاي‌ خودشان‌ را به‌ شما تحميل‌ كنند،پس‌ بايد مترصد، هوشيار و گوش‌ به‌ زنگ‌ باشيدتا به‌ موقع‌ به‌ مقابله‌ بپردازيد.  ", None, QtGui.QApplication.UnicodeUTF8))
        if x==37 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "خوابهايي‌ كه‌ در آن‌ عمل‌ دفع‌ و تخليه‌ صورت‌مي‌گيرد، معمولا نشان‌ دهنده‌ پاكسازي‌ و آزاد سازي‌عواطف‌ و احساسات‌ هستند. تمام‌ جزييات‌ خوابتان‌را به‌ منظور كسب‌ معنا و تعبير صحيح‌ بررسي‌نماييد. از خودتان‌ سؤال‌ كنيد كه‌ در حال‌ رهايي‌ ازكدام‌ يك‌ از اين‌ احساسات‌ و حالات‌ هستيد نگراني‌،خشم‌، غضب‌، مسخره‌ بازي‌، استهزاء، دلخوري‌،ناراحتي‌ و رنجش‌ و... معبران‌ قديمي‌ معتقدند كه‌مشاهده‌ چنين‌ خوابهايي‌ خوش‌ يمن‌ و نمايانگررسيدن‌ پول‌ و رفاه‌ است‌.   ", None, QtGui.QApplication.UnicodeUTF8))
        if x==38 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "ابتدا ممكن‌ است‌ اين‌ سؤال‌ به‌ ذهن‌ تان‌خطور كند چه‌ كسي‌ خواب‌ اختاپوس‌ مي‌بيند؟ولي‌ حقيقت‌ اين‌ است‌ كه‌ عده‌ زيادي‌ چنين‌خوابهايي‌ را مشاهده‌ مي‌نمايند. به‌ هر حال‌، اگر بامشاهده‌ اختاپوس‌ در خواب‌، احساس‌خوشحالي‌ كرديد، بدين‌ معنا است‌ كه‌ درگيرماجراجويي‌ و فعاليت‌هاي‌ بسيار متعددي‌مي‌گرديد. اگر نسبت‌ به‌ اين‌ خواب‌ واكنش‌ منفي‌نشان‌ داديد، بدين‌ معنا است‌ كه‌ گرفتاري‌ها ودلبستگي‌هاي‌ مضر، خطرناك‌، ناسالم‌،غيرطبيعي‌ و بيمار گونه‌اي‌ در زندگي‌ روزمره‌تان‌جريان‌ دارند.  ", None, QtGui.QApplication.UnicodeUTF8))
        if x==39 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "تعبير دقيق‌ ارقام‌ و اعداد در خواب‌ كار بسياردشواري‌ محسوب‌ مي‌شود، چرا كه‌ ممكن‌ است‌معاني‌ آنها بسيار شخصي‌ باشند. به‌ عنوان‌ مثال‌،اعداد در خواب‌ مي‌توانند بازتاب‌ و انعكاس‌نگراني‌هاي‌ مالي‌ (يا نگراني‌ در هر زمينه‌اي‌) درزندگي‌ روزمره‌ تلقي‌ گردند. در نتيجه‌، لازم‌ است‌كه‌ دريابيد اين‌ اعداد چه‌ ارتباطي‌ با شخص‌ شماپيدا مي‌كنند. (مثلا اگر شخصي‌ خواب‌ عددبيست‌ و پنج‌ را ببيند، ممكن‌ است‌ پلاك‌ خانه‌اش‌دوازده‌ و پلاك‌ خانه‌ والدينش‌ سيزده‌ باشد.مجموع‌ اين‌ دو عدد بيست‌ و پنج‌ مي‌شود. از اين‌رو، شايد اين‌ خواب‌ در بردارنده‌ پيامي‌ خاصي‌ دررابطه‌ با شما و زندگي‌ والدينتان‌ باشد.) از سوي‌ديگر، اعداد و ارقام‌ مي‌توانند نمايانگر مفاهيم‌جهاني‌ و به‌ منزله‌ اشاره‌اي‌ به‌ تنگناها و معضلات‌كلي‌ و عمومي‌ باشند. به‌ هر حال‌، برخي‌ از اعداددر فهرست‌ زير گنجانده‌ شده‌اند (هم‌ چنين‌ به‌تعبير صفر نيز مراجعه‌ نماييد) عدد دو نشان‌ دهنده‌ دو برابر شدن‌ ياپيشرفت‌ رواني‌ است‌. يا اين‌ كه‌ جزء يا عنصري‌سازنده‌ و اساسي‌ و ناشناخته‌ رخ‌ خواهد داد. اعداد زوج‌ نمايانگر خصوصيات‌ وويژگي‌هاي‌ زنانه‌ و اعداد فرد نشان‌ دهنده‌خصلت‌ها و ويژگي‌هاي‌ مردانه‌ هستند. عدد سه‌ تثليث‌ (در آيين‌ مسيحيت‌). اين‌عدد نمايانگر پيشروي‌ و فعاليت‌ است‌ (يا اين‌ كه‌رخدادي‌ در روان‌ پيش‌ مي‌آيد.) عدد چهار تكميل‌ زنانه‌گي‌. عدد پنج‌ نيروي‌ حيات‌، پنج‌ انگشت‌ و پنج‌زائده‌ و جزء اصلي‌ بدن‌. عدد هفت‌ عدد مقدس‌ در آيين‌ مسيح‌ ويهود; بالاترين‌ مرحله‌ تذهيب‌، روشنگري‌،معنويت‌ و تنوير افكار. عدد دوازده‌ نمايانگر زمان‌ و مكان‌; نشان‌دهنده‌ مهمترين‌ چرخه‌هاي‌ زماني‌ زندگي‌شخص‌.", None, QtGui.QApplication.UnicodeUTF8))
        if x==40 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "ازدواج‌ در خواب‌ نشانه‌ تعهد، وفاداري‌ و عهد وپيمان‌ است‌. شايد اخيرا در رابطه‌ با اين‌ امر صحبت‌هايي‌ داشته‌ايد و فكرتان‌ به‌ آن‌ مشغول‌ بوده‌ است‌.اين‌ عهد و پيمان‌ و مسؤوليت‌ مي‌تواند در رابطه‌ باكار و حرفه‌ شما يا همسرتان‌ باشد. اغلب‌، ازدواج‌ درخواب‌ نشان‌ دهنده‌ آن‌ است‌ كه‌ تمام‌ بخش‌هاي‌متفاوت‌ وجودي‌ خويشتن‌ شما به‌ گرد هم‌ جمع‌شده‌اند. (زنانه‌ و مردانه‌ يا احساسي‌ و عقلايي‌).ازدواج‌ مي‌تواند نمايانگر سطح‌ گسترده‌ترهوشياري‌ در جايي‌ باشد كه‌ ضمير خودآگاه‌ وناخودآگاه‌ بيننده‌ خواب‌ با يكديگر تلاقي‌ مي‌نمايند.در مجموع‌، مشاهده‌ ازدواج‌ در خواب‌ به‌ منزله‌تشويق‌ براي‌ رشد و تعالي‌ خودآگاهي‌ و انجام‌ تغييرمثبت‌ در وجود شما مي‌باشد. هم‌ چنين‌ اگر مجردهستيد و تاكنون‌ ازدواج‌ نكرده‌ايد و مايليد اين‌ امرانجام‌ شود، مي‌توان‌ اين‌ خواب‌ را به‌ منزله‌ شكلي‌ ازآرزومندي‌ در نظر گرفت‌.", None, QtGui.QApplication.UnicodeUTF8))
        if x==41 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "حمام‌ كردن‌ در خواب‌ مي‌تواند نشان‌ دهنده‌ نيازشما به‌ تن‌ در دادن‌ به‌ شكلي‌ از تميزي‌ باشد. اگراخيرا در زندگي‌ روزمره‌تان‌ تغيير و تحولاتي‌ ايجادكرده‌ايد و يا از شر عواطف‌ و احساسات‌ آزارنده‌ ومزاحم‌ خلاص‌ شده‌ايد، اين‌ خواب‌ مي‌تواند تأييدي‌بر آن‌ محسوب‌ شود. حمام‌ كردن‌ در خواب‌ نمايانگرپاكسازي‌ خويشتن‌ بيروني‌ و دور كردن‌ مسايل‌ يامشكلات‌ آزارنده‌ يا بغرنج‌ است‌. معني‌ اساسي‌تر آن‌پاكسازي‌ عقايد، افكار، نقطه‌ نظرات‌ و يا قضاوت‌هاي‌قديمي‌ و غيرمفيد است‌. در ضمن‌ چنين‌ خوابهايي‌به‌ منزله‌ هشداري‌ براي‌ آرامش‌ خاطر داشتن‌ و دوركردن‌ فكر و خيالات‌ شخص‌ بيننده‌ خواب‌ در زندگي‌روزمره‌اش‌ است‌. يعني‌ اين‌ كه‌ براي‌ مدتي‌ بهتر است‌كه‌ به‌ مشكلات‌ اهميت‌ ندهيد. همچنين‌ به‌ تعبير آب‌مراجعه‌ فرماييد.  ", None, QtGui.QApplication.UnicodeUTF8))
        if x==42 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "اسلحه‌ در خواب‌ مي‌تواند سمبل‌ چيزها ومسايل‌ خيلي‌ متعدد و متفاوتي‌ باشد. پس‌ لازم‌است‌ كه‌ به‌ دقت‌ جزييات‌ خواب‌ و حال‌ و هواي‌احساسي‌ تان‌ را در حين‌ مشاهده‌ آن‌ بررسي‌ نماييد.اسلحه‌ مي‌تواند نشانه‌ تعرض‌، ستيزه‌ جويي‌،پرخاشگري‌، خشونت‌، بي‌رحمي‌ و ترس‌ و وحشت‌باشد. ممكن‌ است‌ اين‌ خواب‌ها معاني‌ جسماني‌داشته‌ باشند يا احتمالا ضمير ناخودآگاهتان‌ قصددارد به‌ شما پيغام‌ دهد كه‌ احساسات‌ منفي‌ تان‌ راپنهان‌ نكنيد و قبل‌ از آن‌ كه‌ آنها خطرناك‌، قابل‌انفجار و جنجال‌ برانگيز شوند، آزادانه‌تر آنها را بروزدهيد. از ديدگاه‌ مثبت‌تر، مي‌توان‌ گفت‌ كه‌ اسلحه‌ درخواب‌ صرفا سمبل‌ نياز شما به‌ محافظت‌ از خودتان‌يا از نظر احساسي‌ يا جسماني‌ و يا هر دو آنها است‌.اگر در خواب‌ تان‌ از اسلحه‌ در جهت‌ آسيب‌ رساندن‌يا كشتن‌ شما يا شخص‌ ديگري‌ استفاده‌ شد، لازم‌است‌ كه‌ مشكلات‌ جاري‌ زندگي‌ تان‌، احساسات‌خصمانه‌ يا مباحثات‌ جدي‌ خودتان‌ را به‌ دقت‌بررسي‌ نماييد، همان‌ مشكلاتي‌ كه‌ با خودتان‌ ياديگران‌ داريد.  ", None, QtGui.QApplication.UnicodeUTF8))
        if x==43 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "به‌ منظور تعبير چنين‌ خوابي‌، بيننده‌ خواب‌بايد ميزان‌ ارتباطش‌ را با اتوبوس‌ در زندگي‌روزمره‌اش‌ بررسي‌ نمايد. اين‌ چنين‌ خوابهايي‌مي‌توانند براساس‌ تجربيات‌ منحصر به‌ فرد وشخصي‌ بيننده‌ خواب‌ از اتوبوس‌ مخصوص‌سرويس‌ مدارس‌، وسايل‌ حمل‌ و نقل‌ عمومي‌،سفرهاي‌ خانوادگي‌ و دسته‌ جمعي‌ و غيره‌ معاني‌و تعابير به‌ خصوصي‌ داشته‌ باشند. گاهي‌ اوقات‌محتواي‌ اين‌ چنين‌ خوابهايي‌ خيلي‌ مهتر از زمان‌و مكان‌ و فضاي‌ آن‌ هستند. اگر اين‌ فضا درخوابتان‌ محور قرار نگرفته‌ باشد، بايد ديگرجزييات‌ خواب‌ را به‌ دقت‌ بررسي‌ كنيد. اگرچه‌،اگر اتوبوس‌ و يا اتوبوس‌ سواري‌ در خوابتان‌ محورو كانون‌ اصلي‌ باشد، لازم‌ است‌ ارزشي‌ را كه‌ آن‌برايتان‌ دارد، به‌ دقت‌ در نظر بگيريد. آيا اين‌خواب‌ مي‌خواهد پيغامي‌ در رابطه‌ با توانايي‌شما، تناسب‌ داشتن‌، هماهنگي‌ و پيوستن‌ به‌گروهي‌ در يك‌ سفر، پروژه‌ و يا تلاش‌ دسته‌جمعي‌ به‌ شما بدهد؟ آيا تصور مي‌كنيد درمحيطها و موقعيت‌ هايي‌ كه‌ لازم‌ است‌ به‌ صورت‌گروهي‌ تلاش‌ كنند، عملكردتان‌ مثبت‌ و سازنده‌است‌؟ آيا در چنين‌ شرايط و موقعيت‌ هايي‌فرمانده‌ هستيد يا يك‌ پيرو و ميزان‌ آرامش‌ وراحتي‌ شما تا چه‌ اندازه‌ است‌؟ اين‌ چنين‌ خوابي‌همچنين‌ مي‌تواند بازتاب‌ و انعكاسي‌ از يك‌بخش‌ زندگي‌ يا سفر زندگاني‌ شما باشد كه‌مستلزم‌ حضور افراد بسياري‌ است‌ كه‌ همگي‌ دريك‌ مسير در حركتند، و اين‌ مي‌تواند خانواده‌،دوستان‌، همكلاسان‌ و يا همكاران‌ شما را شامل‌شود. همچنين‌ به‌ تعبير «ماشين‌« نيز مراجعه‌نماييد. ", None, QtGui.QApplication.UnicodeUTF8))
        if x==44 :
            self.label_3.setText(QtGui.QApplication.translate("MainWindow", "اگر اين‌ خواب‌ را ببينيد بايد تمام‌ جنبه‌ها و جزييات‌ گوناگون‌ خوابتان‌ رادر نظر داشته‌ باشيد تا بتوانيد آن‌ را تعبير و تفسير كنيد. ممكن‌ است‌ ضميرناخودآگاهتان‌ با در نظر گرفتن‌ نيازهاي‌ شما كه‌ پاره‌اي‌ از آنها ضروري‌محسوب‌ مي‌شوند و برخي‌ از آنها تأثيري‌ در زندگي‌تان‌ ندارند، به‌ اين‌ ترتيب‌در خواب‌ به‌ شما پيغام‌ دهد. معبران‌ قديمي‌ خواب‌ معتقدند كه‌ اگر در خواب‌ ببينيد شخصي‌ شما رارها كرد، اين‌ خواب‌ در واقعيت‌ تعبيري‌ متضاد و بر عكس‌ دارد و احتمالامشكلاتتان‌ برطرف‌ شده‌ و اگر بيمار باشيد، به‌ زودي‌ بهبود مي‌يابيد.", None, QtGui.QApplication.UnicodeUTF8))


if __name__ == "__main__":
    import sys
    app = QtGui.QApplication(sys.argv)
    MainWindow = QtGui.QWidget()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())
